gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Contains information found when looking up an icon in an icon theme.
- Constructor
  2.12.0.0
  a
  Internal constructor
- Property
  2.12.0.0
  System.Int32 Gets the base size for the icon. a , the base size, or 0, if no base size is known for the icon. The base size is a size for the icon that was specified by the icon theme creator. This may be different than the actual size of image; an example of this is small emblem icons that can be attached to a larger icon. These icons will be given the same base size as the larger icons to which they are attached.
- Property
  2.12.0.0
  Gdk.Pixbuf Gets the built-in image for this icon, if any. a , the built-in image pixbuf, or . To allow Gtk to use built in icon images, you must pass the to .
- Method
  2.12.0.0
  Gtk.IconInfo Make a copy of a . a
- Property
  2.12.0.0
  System.String Gets the display name for an icon. a , the display name for the icon or , if the icon does not have a specified display name. A display name is a string to be used in place of the icon name in a user visible context like a list of icons.
- Property
  2.12.0.0
  System.String Gets the filename for the icon. a , the filename for the icon, or If the flag was passed to , there may be no filename if a builtin icon is returned; in this case, you should use .
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Gtk.IconInfo is now freed automatically")
  System.Void Free a and associated information
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` a a Fetches the set of attach points for an icon. a , if there are any attach points for the icon. An attach point is a location in the icon that can be used as anchor points for attaching emblems or overlays to the icon.
- Method
  2.12.0.0
  System.Boolean `` a in which to store embedded rectangle coordinates; coordinates are only stored when this function returns . Gets the coordinates of a rectangle within the icon that can be used for display of information such as a preview of the contents of a text file. a , if the icon has an embedded rectangle See for further information about the coordinate system.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gdk.Pixbuf Renders an icon previously looked up in an icon theme using a , the rendered icon The size will be based on the size passed to . Note that the resulting pixbuf may not be exactly this size; an icon theme may have icons that differ slightly from their nominal sizes, and in addition Gtk will avoid scaling icons that it considers sufficiently close to the requested size or for which the source image would have to be scaled up too far. (This maintains sharpness.)
- Property
  2.12.0.0
  System.Boolean Sets whether the coordinates returned by and should be returned in their original form as specified in the icon theme, instead of scaled appropriately for the pixbuf returned by . a

  Raw coordinates are somewhat strange; they are specified to be with respect to the unscaled pixmap for PNG and XPM icons, but for SVG icons, they are in a 1000x1000 coordinate space that is scaled to the final size of the icon. You can determine if the icon is an SVG icon by using , and seeing if it is non- and ends in '.svg'.

  This function is provided primarily to allow compatibility wrappers for older API's, and is not expected to be useful for applications.